gnutls_pk_list(3)

NAME
gnutls_pk_list - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_pk_algorithm_t * gnutls_pk_list( void);

ARGUMENTS

void

DESCRIPTION
Get a list of supported public key algorithms.

RETURNS
a zero-terminated list of gnutls_pk_algorithm_t integers indicating the available ciphers.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.